/****************************************************************************
*
*     Module Filename:  Cycle_Type.h
*     Module Name:      Cycle_Type
*     Description:      Recognise and Handle Cycxle Types
*
*     Copyright (C) 2006, 2008 Chris Gordon-Smith
*     Email: See http://www.simsoup.info/
*
*     This program is free software; you can redistribute it and/or modify it
*     under the terms of the GNU General Public License as published by the
*     Free Software Foundation; either version 2 of the License, or (at your
*     option) any later version.
*
*     This program is distributed in the hope that it will be useful, but
*     WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
*     or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
*     for more details.
*
*     You should have received a copy of the GNU General Public License along
*     with this program; if not, write to the Free Software Foundation, Inc.,
*     59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*
*     See the file Licence.txt for a copy of the GNU General Public License.
*
*      Amendment History:- 
*
*              Version	  Date                        Update Description
*              =======    ===========                 ==================
*
*
*
*
****************************************************************************/

#ifndef Cycle_Type_H
#define Cycle_Type_H

class Tracker;

class   Cycle_Type

{
//===== Relationships with other classes ===================================================================

//==========================================================================================================

    public:
        static void  Identify_Cycle_Type_And_Length(Tracker*  Tracker_Ptr, 
                                                    int Closing_MolType_Id, 
                                                    string& Cycle_Type_Identifier,
                                                    int& Cycle_Length);

       
};
#endif  //Cycle_Type_H
